﻿// Copyright (c) .NET Foundation. All rights reserved.
// Licensed under the MIT License. See License.txt in the project root for license information.

namespace Microsoft.Azure.WebJobs.Host.Bindings.Path
{
    /// <summary>
    /// Represents a semantic token as generated by <see cref="BindingTemplateParser"/> during parsing of parameterized 
    /// binding template string. Then generated token may be consumed to create instance of 
    /// <see cref="BindingTemplate"/> or <see cref="BindingTemplateSource"/>.
    /// </summary>
    internal struct BindingTemplateToken
    {
        private readonly string _value;
        private readonly bool _isParameter;

        public BindingTemplateToken(string value, bool isParameter)
        {
            _value = value;
            _isParameter = isParameter;
        }

        public string Value 
        { 
            get { return _value; } 
        }

        public bool IsParameter 
        { 
            get { return _isParameter; } 
        }
    }
}
